#11 Add 18 new packages for Stream-Devel
Merged 9 months ago by bstinson. Opened 9 months ago by jamesantill.
centos/ jamesantill/pungi-centos centos-8.1.1911  into  centos-8.1.1911

@@ -7,7 +7,25 @@ 

      <uservisible>false</uservisible>

      <packagelist>

        <packagereq type="mandatory">argparse-manpage</packagereq>

+       <packagereq type="mandatory">autogen-libopts-devel</packagereq>

+       <packagereq type="mandatory">gfbgraph-devel</packagereq>

+       <packagereq type="mandatory">http-parser-devel</packagereq>

+       <packagereq type="mandatory">jbig2dec-devel</packagereq>

+       <packagereq type="mandatory">liba52-devel</packagereq>

+       <packagereq type="mandatory">libavc1394-devel</packagereq>

+       <packagereq type="mandatory">libdvdnav-devel</packagereq>

+       <packagereq type="mandatory">libnml-devel</packagereq>

+       <packagereq type="mandatory">libss-devel</packagereq>

+       <packagereq type="mandatory">libssh2-devel</packagereq>

        <packagereq type="mandatory">libuv-devel</packagereq>

+       <packagereq type="mandatory">libXvMC-devel</packagereq>

+       <packagereq type="mandatory">mobile-broadband-provider-info-devel</packagereq>

+       <packagereq type="mandatory">openslp-devel</packagereq>

+       <packagereq type="mandatory">protobuf-lite-devel</packagereq>

+       <packagereq type="mandatory">python3-protobuf</packagereq>

+       <packagereq type="mandatory">quota-devel</packagereq>

+       <packagereq type="mandatory">rest-devel</packagereq>

+       <packagereq type="mandatory">tracker-devel</packagereq>

      </packagelist>

    </group>

  </comps>

file modified
+411

@@ -66,6 +66,417 @@ 

   "xz-debuginfo",

   "xz-libs",

   "zlib",

+  "a52dec-debuginfo",

+  "aajohan-comfortaa-fonts",

+  "abattis-cantarell-fonts",

+  "acl",

+  "acl-debuginfo",

+  "adwaita-cursor-theme",

+  "adwaita-icon-theme",

+  "alsa-lib",

+  "aspell",

+  "atk",

+  "atk-devel",

+  "at-spi2-atk",

+  "at-spi2-atk-devel",

+  "at-spi2-core",

+  "at-spi2-core-devel",

+  "attr-debuginfo",

+  "audit-debuginfo",

+  "audit-libs",

+  "autoconf",

+  "autogen",

+  "autogen-libopts",

+  "automake",

+  "avahi-debuginfo",

+  "avahi-glib",

+  "avahi-libs",

+  "bitmap-console-fonts",

+  "bitmap-fangsongti-fonts",

+  "bitmap-fixed-fonts",

+  "bitmap-lucida-typewriter-fonts",

+  "bpg-fonts-common",

+  "bpg-mrgvlovani-caps-fonts",

+  "bpg-mrgvlovani-fonts",

+  "bpg-nateli-caps-fonts",

+  "bpg-nateli-condenced-fonts",

+  "bpg-nateli-fonts",

+  "brotli",

+  "bubblewrap",

+  "bzip2-debuginfo",

+  "bzip2-devel",

+  "cairo",

+  "cairo-devel",

+  "cairo-gobject",

+  "cairo-gobject-devel",

+  "cmake-filesystem",

+  "colord-debuginfo",

+  "colord-libs",

+  "comic-neue-angular-fonts",

+  "comic-neue-fonts",

+  "comic-neue-fonts-common",

+  "cpp",

+  "cracklib",

+  "cryptsetup-debuginfo",

+  "cryptsetup-libs",

+  "cups-debuginfo",

+  "cups-libs",

+  "dbus",

+  "dbus-common",

+  "dbus-daemon",

+  "dbus-devel",

+  "dbus-libs",

+  "dbus-tools",

+  "dejavu-fonts-common",

+  "dejavu-lgc-sans-fonts",

+  "dejavu-lgc-sans-mono-fonts",

+  "dejavu-sans-fonts",

+  "dejavu-sans-mono-fonts",

+  "dejavu-serif-fonts",

+  "e2fsprogs-debuginfo",

+  "elfutils-debuginfo",

+  "elfutils-default-yama-scope",

+  "elfutils-libelf",

+  "elfutils-libs",

+  "emacs-filesystem",

+  "enchant",

+  "enchant2",

+  "expat-devel",

+  "findutils",

+  "fontconfig",

+  "fontconfig-devel",

+  "fontpackages-filesystem",

+  "freetype",

+  "freetype-devel",

+  "gc",

+  "gcc",

+  "gcc-debuginfo",

+  "gcr",

+  "gdbm-debuginfo",

+  "gdk-pixbuf2",

+  "gdk-pixbuf2-devel",

+  "gdk-pixbuf2-modules",

+  "geoclue2",

+  "gettext",

+  "gettext-libs",

+  "gfbgraph",

+  "glib2",

+  "glib2-devel",

+  "glib-networking",

+  "gnome-online-accounts",

+  "gnome-online-accounts-devel",

+  "gnutls",

+  "gobject-introspection",

+  "gobject-introspection-devel",

+  "google-crosextra-caladea-fonts",

+  "google-crosextra-carlito-fonts",

+  "google-droid-sans-fonts",

+  "google-droid-sans-mono-fonts",

+  "google-droid-serif-fonts",

+  "google-noto-cjk-fonts-common",

+  "google-noto-fonts-common",

+  "google-noto-mono-fonts",

+  "google-noto-sans-cjk-jp-fonts",

+  "google-noto-sans-cjk-kr-fonts",

+  "google-noto-sans-cjk-sc-fonts",

+  "google-noto-sans-cjk-tc-fonts",

+  "google-noto-sans-cjk-ttc-fonts",

+  "google-noto-sans-fonts",

+  "google-noto-sans-jp-fonts",

+  "google-noto-sans-kr-fonts",

+  "google-noto-sans-mono-cjk-jp-fonts",

+  "google-noto-sans-mono-cjk-kr-fonts",

+  "google-noto-sans-mono-cjk-sc-fonts",

+  "google-noto-sans-mono-cjk-tc-fonts",

+  "google-noto-sans-sc-fonts",

+  "google-noto-sans-tc-fonts",

+  "google-noto-sans-ui-fonts",

+  "google-noto-serif-cjk-jp-fonts",

+  "google-noto-serif-cjk-kr-fonts",

+  "google-noto-serif-cjk-sc-fonts",

+  "google-noto-serif-cjk-tc-fonts",

+  "google-noto-serif-cjk-ttc-fonts",

+  "google-noto-serif-fonts",

+  "google-noto-serif-jp-fonts",

+  "google-noto-serif-kr-fonts",

+  "google-noto-serif-sc-fonts",

+  "google-noto-serif-tc-fonts",

+  "google-roboto-slab-fonts",

+  "graphite2",

+  "graphite2-devel",

+  "gsettings-desktop-schemas",

+  "gstreamer1",

+  "gstreamer1-plugins-base",

+  "gtk3",

+  "gtk3-devel",

+  "gtk-update-icon-cache",

+  "guile",

+  "gzip",

+  "harfbuzz",

+  "harfbuzz-devel",

+  "harfbuzz-icu",

+  "hicolor-icon-theme",

+  "http-parser",

+  "hunspell",

+  "hunspell-en-US",

+  "hyphen",

+  "icu-debuginfo",

+  "iptables-debuginfo",

+  "iptables-libs",

+  "isl",

+  "iso-codes",

+  "jasper-debuginfo",

+  "jasper-libs",

+  "jbig2dec-debuginfo",

+  "jbig2dec-libs",

+  "jbigkit-debuginfo",

+  "jbigkit-libs",

+  "jomolhari-fonts",

+  "json-c",

+  "json-glib",

+  "json-glib-debuginfo",

+  "json-glib-devel",

+  "julietaula-montserrat-fonts",

+  "khmeros-base-fonts",

+  "khmeros-battambang-fonts",

+  "khmeros-bokor-fonts",

+  "khmeros-fonts-common",

+  "khmeros-handwritten-fonts",

+  "khmeros-metal-chrieng-fonts",

+  "khmeros-muol-fonts",

+  "khmeros-siemreap-fonts",

+  "kmod-debuginfo",

+  "kmod-libs",

+  "krb5-debuginfo",

+  "lato-fonts",

+  "lcms2",

+  "liba52",

+  "libasan",

+  "libatomic",

+  "libatomic_ops",

+  "libavc1394",

+  "libblkid",

+  "libcap-ng",

+  "libcom_err-devel",

+  "libcroco",

+  "libdatrie",

+  "libdb",

+  "libdrm",

+  "libdrm-devel",

+  "libdvdnav",

+  "libdvdread",

+  "libdvdread-devel",

+  "libepoxy",

+  "libepoxy-devel",

+  "liberation-fonts-common",

+  "liberation-mono-fonts",

+  "liberation-narrow-fonts",

+  "liberation-sans-fonts",

+  "liberation-serif-fonts",

+  "libfdisk",

+  "libffi-devel",

+  "libfontenc",

+  "libgcc",

+  "libgcrypt",

+  "libglvnd",

+  "libglvnd-core-devel",

+  "libglvnd-devel",

+  "libglvnd-egl",

+  "libglvnd-gles",

+  "libglvnd-glx",

+  "libglvnd-opengl",

+  "libgomp",

+  "libgpg-error",

+  "libgusb",

+  "libICE",

+  "libicu",

+  "libicu-devel",

+  "libidn2",

+  "libjpeg-turbo",

+  "libmcpp",

+  "libmodman",

+  "libmount",

+  "libmpc",

+  "libnotify",

+  "libogg",

+  "libpciaccess",

+  "libpng",

+  "libpng-devel",

+  "libproxy",

+  "libpwquality",

+  "libraw1394",

+  "libraw1394-devel",

+  "librtas",

+  "libseccomp",

+  "libsecret",

+  "libsemanage",

+  "libSM",

+  "libsmartcols",

+  "libsoup",

+  "libsoup-devel",

+  "libss",

+  "libstdc++",

+  "libthai",

+  "libtheora",

+  "libtiff",

+  "libtool",

+  "libtool-debugsource",

+  "libtool-ltdl",

+  "libubsan",

+  "libunistring",

+  "libusbx",

+  "libutempter",

+  "libuuid",

+  "libuuid-devel",

+  "libvisual",

+  "libvorbis",

+  "libwayland-client",

+  "libwayland-cursor",

+  "libwayland-egl",

+  "libwayland-server",

+  "libwebp",

+  "libX11",

+  "libX11-common",

+  "libX11-devel",

+  "libX11-xcb",

+  "libXau",

+  "libXau-devel",

+  "libxcb",

+  "libxcb-devel",

+  "libXcomposite",

+  "libXcomposite-devel",

+  "libXcursor",

+  "libXcursor-devel",

+  "libXdamage",

+  "libXdamage-devel",

+  "libXext",

+  "libXext-devel",

+  "libXfixes",

+  "libXfixes-devel",

+  "libXft",

+  "libXft-devel",

+  "libXi",

+  "libXi-devel",

+  "libXinerama",

+  "libXinerama-devel",

+  "libxkbcommon",

+  "libxkbcommon-devel",

+  "libxml2",

+  "libxml2-devel",

+  "libXmu",

+  "libXrandr",

+  "libXrandr-devel",

+  "libXrender",

+  "libXrender-devel",

+  "libxshmfence",

+  "libxslt",

+  "libXt",

+  "libXtst",

+  "libXv",

+  "libXv-devel",

+  "libXvMC",

+  "libXxf86misc",

+  "libXxf86vm",

+  "libXxf86vm-devel",

+  "lohit-devanagari-fonts",

+  "lohit-telugu-fonts",

+  "lz4-debuginfo",

+  "lz4-libs",

+  "m4",

+  "mcpp",

+  "mobile-broadband-provider-info",

+  "ModemManager-debuginfo",

+  "ModemManager-glib",

+  "ncurses-debuginfo",

+  "nettle",

+  "open-sans-fonts",

+  "openslp",

+  "openssl-debuginfo",

+  "opus",

+  "orc",

+  "overpass-fonts",

+  "overpass-mono-fonts",

+  "paktype-naqsh-fonts",

+  "paktype-naskh-basic-fonts",

+  "paktype-tehreer-fonts",

+  "pam",

+  "pango",

+  "pango-devel",

+  "paratype-pt-sans-caption-fonts",

+  "paratype-pt-sans-fonts",

+  "pcre-cpp",

+  "pcre-devel",

+  "pcre-utf16",

+  "pcre-utf32",

+  "perl-Carp",

+  "perl-Data-Dumper",

+  "perl-debuginfo",

+  "perl-Errno",

+  "perl-File-Path",

+  "perl-Getopt-Long",

+  "perl-interpreter",

+  "perl-IO",

+  "perl-libs",

+  "perl-macros",

+  "perl-PathTools",

+  "perl-Scalar-List-Utils",

+  "perl-Socket",

+  "perl-threads",

+  "perl-threads-shared",

+  "perl-Unicode-Normalize",

+  "pixman",

+  "pixman-devel",

+  "protobuf",

+  "protobuf-compiler",

+  "protobuf-devel",

+  "protobuf-debuginfo",

+  "protobuf-lite",

+  "python3-mako",

+  "python3-markupsafe",

+  "python3-six",

+  "quota",

+  "quota-debugsource",

+  "rest",

+  "shadow-utils",

+  "shared-mime-info",

+  "sil-abyssinica-fonts",

+  "sil-scheherazade-fonts",

+  "stix-fonts",

+  "stix-math-fonts",

+  "tar",

+  "thai-scalable-fonts-common",

+  "thai-scalable-garuda-fonts",

+  "thai-scalable-kinnari-fonts",

+  "thai-scalable-tlwgtypo-fonts",

+  "thai-scalable-umpush-fonts",

+  "thai-scalable-waree-fonts",

+  "tibetan-machine-uni-fonts",

+  "tracker",

+  "urw-base35-bookman-fonts",

+  "urw-base35-c059-fonts",

+  "urw-base35-d050000l-fonts",

+  "urw-base35-fonts-common",

+  "urw-base35-gothic-fonts",

+  "urw-base35-nimbus-mono-ps-fonts",

+  "urw-base35-nimbus-roman-fonts",

+  "urw-base35-nimbus-sans-fonts",

+  "urw-base35-p052-fonts",

+  "urw-base35-z003-fonts",

+  "util-linux",

+  "wayland-debuginfo",

+  "wayland-devel",

+  "wayland-protocols-devel",

+  "woff2",

+  "wqy-microhei-fonts",

+  "wqy-unibit-fonts",

+  "xkeyboard-config",

+  "xml-common",

+  "xorg-x11-font-utils",

+  "xorg-x11-proto-devel",

+  "xorg-x11-server-utils",

+  "xz-debuginfo",

+  "xz-devel",

+  "zlib-devel",

          ]

      }),

  

Add 18 new packages and filtering out 411 packages to make pungi behave. Even after the filter additions pungi still wants to bring in quota and 8 -debuginfo packages which are in centos-stream.

rebased onto 4e5f004

9 months ago

Pull-Request has been merged by bstinson

9 months ago